import request from '@/utils/request'

export function getGoodsPage(data) {
  return request({
    url: '/base-product-category/page',
    method: 'get',
    params: data
  })
}


export function getGoodsList(data) {
  return request({
    url: '/base-product-category/list',
    method: 'post',
    data: data
  })
}

export function getGoodsById(data) {
  return request({
    url: '/base-product-category/listById',
    method: 'post',
    data: data
  })
}

export function addGoods(data) {
  return request({
    url: '/base-product-category/add',
    method: 'post',
    data: data
  })
}

export function editGoods(data) {
  return request({
    url: '/base-product-category/edit',
    method: 'post',
    data: data
  })
}

export function delGoods(data) {
  return request({
    url: '/base-product-category/delete',
    method: 'post',
    data: data
  })
}

// 树状
export function getGoodsTree(data) {
  return request({
    url: '/base-product-category/listTree',
    method: 'post',
    data: data
  })
}
